	subroutine open_stream(sid,stream_name)
*
*			Specifications Section
*
	character*(*) stream_name
	integer*4 sid
	
	include 'dccom.inc'

*
*			Code Section
*
	call lib$get_lun(iunit(sid))
	eos(sid) = .false.
	if (indirect(sid)) then
	    open (unit=iunit(sid),file=wspec(sid),status='old')
	endif
	return
	end
